> For a complete page index, fetch https://developer.close.com/llms.txt

# List or filter playbooks

GET https://api.close.com/api/v1/playbook/

Fetch a list of playbooks for the organization. Results are sorted by position ascending.

Reference: https://developer.close.com/api/resources/playbooks/list

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Close API
  version: 1.0.0
paths:
  /playbook/:
    get:
      operationId: list
      summary: List or filter playbooks
      description: >-
        Fetch a list of playbooks for the organization. Results are sorted by
        position ascending.
      tags:
        - subpackage_playbooks
      parameters:
        - name: _limit
          in: query
          description: Number of results to return.
          required: false
          schema:
            type: integer
            default: 100
        - name: _skip
          in: query
          description: Number of results to skip before returning, for pagination.
          required: false
          schema:
            type: integer
            default: 0
        - name: is_archived
          in: query
          description: >-
            Filter for archived or not-archived playbooks. When not provided,
            both archived and not-archived playbooks will be returned.
          required: false
          schema:
            type:
              - boolean
              - 'null'
        - name: position__gt
          in: query
          description: >-
            Filters for where the playbook's `position` is greater than the
            given value.
          required: false
          schema:
            type:
              - integer
              - 'null'
        - name: created_at__lt
          in: query
          description: >-
            Filters for where the playbook's `created_at` (creation date) is
            before the given value.
          required: false
          schema:
            type:
              - string
              - 'null'
            format: date-time
        - name: Authorization
          in: header
          description: Basic authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/playbooks_list_Response_200'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                description: Any type
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Not found
          content:
            application/json:
              schema:
                description: Any type
servers:
  - url: https://api.close.com/api/v1
components:
  schemas:
    Playbook:
      type: object
      properties:
        archived_at:
          type:
            - string
            - 'null'
          format: date-time
        archived_by_id:
          type:
            - string
            - 'null'
        created_at:
          type: string
          format: date-time
        created_by_id:
          type: string
        custom_field_ids:
          type: array
          items:
            type: string
        description:
          type:
            - string
            - 'null'
        id:
          type: string
        name:
          type: string
        organization_id:
          type: string
        outcome_ids:
          type: array
          items:
            type: string
        position:
          type:
            - integer
            - 'null'
        summary_guidance:
          type:
            - string
            - 'null'
        updated_at:
          type: string
          format: date-time
        updated_by_id:
          type: string
      required:
        - archived_at
        - archived_by_id
        - created_at
        - created_by_id
        - custom_field_ids
        - description
        - id
        - name
        - organization_id
        - outcome_ids
        - position
        - summary_guidance
        - updated_at
        - updated_by_id
      title: Playbook
    playbooks_list_Response_200:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Playbook'
        has_more:
          type: boolean
      required:
        - data
        - has_more
      title: playbooks_list_Response_200
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: basic
    OAuth2:
      type: http
      scheme: bearer

```

## SDK Code Examples

```python playbooks_list_example
import requests

url = "https://api.close.com/api/v1/playbook/"

response = requests.get(url, auth=("<CLOSE_API_KEY>", ""))

print(response.json())
```

```javascript playbooks_list_example
const url = 'https://api.close.com/api/v1/playbook/';
const credentials = btoa("<CLOSE_API_KEY>:");

const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go playbooks_list_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.close.com/api/v1/playbook/"

	req, _ := http.NewRequest("GET", url, nil)

	req.SetBasicAuth("<CLOSE_API_KEY>", "")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby playbooks_list_example
require 'uri'
require 'net/http'

url = URI("https://api.close.com/api/v1/playbook/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request.basic_auth("<CLOSE_API_KEY>", "")

response = http.request(request)
puts response.read_body
```

```java playbooks_list_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.close.com/api/v1/playbook/")
  .basicAuth("<CLOSE_API_KEY>", "")
  .asString();
```

```php playbooks_list_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.close.com/api/v1/playbook/', [
  'headers' => [
  ],
    'auth' => ['<CLOSE_API_KEY>', ''],
]);

echo $response->getBody();
```

```csharp playbooks_list_example
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://api.close.com/api/v1/playbook/");
client.Authenticator = new HttpBasicAuthenticator("<CLOSE_API_KEY>", "");
var request = new RestRequest(Method.GET);

IRestResponse response = client.Execute(request);
```